package com.yonge.cooleshow.biz.dal.enums;

import com.yonge.toolset.base.enums.BaseEnum;

public enum ImNetworkDeviceTypeEnum implements BaseEnum<String,ImNetworkDeviceTypeEnum> {
    MICROPHONE("麦克风"),
    CAMERA("摄像头"),
    MUSIC_MODE("音乐模式"),
    HAND_UP("举手"),
    EXAM_SONG("伴奏陪练"),
    MUSIC_SHEET("原音"),
    ACCOMPANIMENT("伴奏");

    private String msg;

    ImNetworkDeviceTypeEnum(String msg) {
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.name();
    }

    public String getMsg() {
        return msg;
    }
}
